# $Revision: 1.20 $, $Date: 2008/07/27 22:37:56 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Inline
%define		pnam	Awk
Summary:	Inline::Awk Perl module
Summary(cs.UTF-8):	Modul Inline::Awk pro Perl
Summary(da.UTF-8):	Perlmodul Inline::Awk
Summary(de.UTF-8):	Inline::Awk Perl Modul
Summary(es.UTF-8):	Módulo de Perl Inline::Awk
Summary(fr.UTF-8):	Module Perl Inline::Awk
Summary(it.UTF-8):	Modulo di Perl Inline::Awk
Summary(ja.UTF-8):	Inline::Awk Perl モジュール
Summary(ko.UTF-8):	Inline::Awk 펄 모줄
Summary(nb.UTF-8):	Perlmodul Inline::Awk
Summary(pl.UTF-8):	Moduł Perla Inline::Awk
Summary(pt.UTF-8):	Módulo de Perl Inline::Awk
Summary(pt_BR.UTF-8):	Módulo Perl Inline::Awk
Summary(ru.UTF-8):	Модуль для Perl Inline::Awk
Summary(sv.UTF-8):	Inline::Awk Perlmodul
Summary(uk.UTF-8):	Модуль для Perl Inline::Awk
Summary(zh_CN.UTF-8):	Inline::Awk Perl 模块
Name:		perl-Inline-Awk
Version:	0.03
Release:	5
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	e98d19ea7b03b967c2aa4af872d11930
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-Inline
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	awk
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Inline::Awk - Add awk code to your Perl programs.

%description -l pl.UTF-8
Moduł Inline::Awk - pozwalający na używanie kodu awka w programach w
Perlu.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Inline/Awk.pm
%{_mandir}/man3/*
%dir %{_examplesdir}/%{name}-%{version}
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Inline-Awk.spec,v $
Revision 1.20  2008/07/27 22:37:56  arekm
- release 5

Revision 1.19  2007-02-13 07:47:12  glen
- tabs in preamble

Revision 1.18  2007/02/12 00:49:37  baggins
- converted to UTF-8

Revision 1.17  2004/12/01 11:19:33  radek
- standarized

Revision 1.16  2004/11/03 22:30:28  paladine
- formatting

Revision 1.15  2004/06/05 18:10:41  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.14  2004/05/07 01:12:26  ankry
- rel. 4

Revision 1.13  2004/05/06 18:09:43  ankry
- fixed perl-devel BR

Revision 1.12  2004/04/22 12:52:35  ankry
- license fixes & unification

Revision 1.11  2004/04/20 23:30:13  ankry
- ported to new bconds

Revision 1.10  2004/02/18 15:51:29  qboosh
- s/no/nb/ in Summary langs

Revision 1.9  2003/08/18 08:08:53  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.8  2003/05/28 13:00:44  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:24:42  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/04/11 18:59:24  radek
- BR: perl-devel; do not BR: perl

Revision 1.5  2003/03/01 19:37:25  radek
- should be ready for perl-5.8.0; release++

Revision 1.4  2003/02/25 00:40:13  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:34:26  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/09/14 22:18:18  ankry
- added tests and translations
- fixed examples atributes, release 2

Revision 1.1  2002/07/13 11:46:07  qboosh
- new
